<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <title>TODO supply a title</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
    </head>
    <body>
        <div>
            DNI: <input type="text" id="dni">
            <input type="button" id="button" value="Transform">
            Result Letter: <input type="text" id="result"><br>
        </div>
        <script>
            function assignEvents(e) {
                document.getElementById("button").addEventListener("click", getLetter);
            }

            function getLetter() {
                var letras =["T","R","W","A","G","M","Y","F","P","D","X","B","N","J","Z","S","Q","V","H","L","C","K","E"];
                var resultLetter = parseInt(document.getElementById("dni").value) % 23;
                document.getElementById("result").value = letras[resultLetter];
            }

            document.addEventListener("DOMContentLoaded", assignEvents);
        </script>
    </body>
</html>
